<app-loading *ngIf="isLoadingPage"></app-loading>

<div nz-col nzXs="24" nzLg="24" class="btnAcrossPageName">
  <mb-button
    *ngIf="!isDetail"
    mbButtonSize='MEDIUM'
    mbButtonAvailableStyle='BtnCancelHasBorder'
    (click)="closeCancel()"
    mbButtonText="{{'staffManager.recruit.action.cancel' | translate}}"
  ></mb-button>
  <mb-button
    *ngIf="isDetail"
    mbButtonSize='MEDIUM'
    mbButtonAvailableStyle='BtnCancelHasBorder'
    (click)="closeCancel()"
    mbButtonText="{{'staffManager.recruit.action.back' | translate}}"
  ></mb-button>

  <mb-button
    *ngIf="objFunction?.approve && status?.toString() === constant.APPROVAL_STATUS[2].value &&
            pageName === constant.SCREEN_MODE.APPROVAL && isDetail"
    mbButtonSize='SMALL'
    mbButtonAvailableStyle='PRIMARY'
    mbButtonText="{{'staffManager.label.approve' | translate}}"
    (click)="approvalById(candidateId)"
  ></mb-button>
  <mb-button
    *ngIf="objFunction?.approve && status?.toString() === constant.APPROVAL_STATUS[2].value &&
            pageName === constant.SCREEN_MODE.APPROVAL && isDetail"
    mbButtonSize='SMALL'
    mbButtonAvailableStyle='DEFAULT'
    (click)="openRejectForm()"
    mbButtonText="{{'staffManager.recruit.action.reject' | translate}}"
  ></mb-button>

  <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
             (click)="save()"
             *ngIf="!isDetail"
             mbButtonText="{{'staffManager.recruit.action.save' | translate}}"></mb-button>
</div>

<div class='import__employee'>
  <form nz-form [formGroup]="form">
    <!--Thông tin cơ bản-->
    <div nz-row [nzGutter]="[30,30]" class="content__info" *ngIf="isDetail && status?.toString() === constant.APPROVAL_STATUS[4].value">
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbLabelText="{{'staffManager.recruit.rejectReason' | translate}}"
          formControlName="rejectReason"></mb-input-text>
      </div>
    </div>

    <!--Thông tin cơ bản-->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'staffManager.recruit.basicInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info">
      <!--Họ tên-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="fullName"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.staffResearch.personalInformation.table.fullName' | translate}}"
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.fullName' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['fullName'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['fullName'].errors !== null"
          [mbErrors]="form.controls['fullName'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.fullName' | translate }}]"
        ></mb-input-text>
      </div>

      <!--Giới tính-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listGender"
                   formControlName="genderCode"
                   mbPlaceholder="{{'staffManager.staffResearch.personalInformation.table.genderName' | translate}}"
                   mbLabelText="{{'staffManager.staffResearch.personalInformation.table.genderName' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['genderCode'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['genderCode'].errors !== null"
                   [mbErrors]="form.controls['genderCode'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.genderName' | translate }}]"
        ></mb-select>
      </div>

      <!--Ngày sinh-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="dateOfBirth"
          (ngModelChange)="changeDate($event, 'dateOfBirth')"
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.dateOfBirth' | translate}} <span class='label__required'>*</span>"
          mbPlaceholderText="{{'staffManager.staffResearch.personalInformation.table.dateOfBirth' | translate}}"
          [mbType]="isSubmitted && form.controls['dateOfBirth'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['dateOfBirth'].errors !== null"
          [mbErrors]="form.controls['dateOfBirth'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.dateOfBirth' | translate }},
            { errorName: 'dateOfBirthError', errorDescription: 'staffManager.validate.errorDate' | translate : {'param': 'staffManager.staffResearch.personalInformation.table.dateOfBirth' | translate }},
          ]"
        ></mb-date-picker>
      </div>

      <!--Tình trạng hôn nhân-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listMarital"
                   formControlName="maritalStatusCode"
                   mbPlaceholder="{{'staffManager.recruit.maritalStatusName' | translate}}"
                   mbLabelText="{{'staffManager.recruit.maritalStatusName' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['maritalStatusCode'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['maritalStatusCode'].errors !== null"
                   [mbErrors]="form.controls['maritalStatusCode'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.maritalStatusName' | translate }}]"
        ></mb-select>
      </div>

      <!--SĐT-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="mobileNumber"
          appNumberInput
          [mbMaxLength]="10"
          mbPlaceholderText="{{'staffManager.staffResearch.personalInformation.table.mobileNumber' | translate}}"
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.mobileNumber' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['mobileNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['mobileNumber'].errors !== null"
          [mbErrors]="form.controls['mobileNumber'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.mobileNumber' | translate }}]"
        ></mb-input-text>
      </div>

      <!--Email cá nhân-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="personalEmail"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.label.emailPersonal' | translate}}"
          mbLabelText="{{'staffManager.label.emailPersonal' | translate}}"
        ></mb-input-text>
      </div>

      <!--Quốc tịch-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listNation"
                   formControlName="nationCode"
                   (ngModelChange)="changeNation($event)"
                   mbPlaceholder="{{'staffManager.recruit.nationName' | translate}}"
                   mbLabelText="{{'staffManager.recruit.nationName' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['nationCode'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['nationCode'].errors !== null"
                   [mbErrors]="form.controls['nationCode'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.nationName' | translate }}]"
        ></mb-select>
      </div>

      <!--Dân tộc-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listEthnic"
                   formControlName="ethnicCode"
                   mbPlaceholder="{{'staffManager.recruit.ethnicName' | translate}}"
                   mbLabelText="{{'staffManager.recruit.ethnicName' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['ethnicCode'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['ethnicCode'].errors !== null"
                   [mbErrors]="form.controls['ethnicCode'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.ethnicName' | translate }}]"
        ></mb-select>
      </div>

      <!--Tôn giáo-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listReligion"
                   formControlName="religionCode"
                   mbPlaceholder="{{'staffManager.recruit.religionName' | translate}}"
                   mbLabelText="{{'staffManager.recruit.religionName' | translate}}"
        ></mb-select>
      </div>

      <!--Bổ sung LLTP-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="criminalRecord"
          mbPlaceholderText="{{'staffManager.recruit.criminalRecord' | translate}}"
          mbLabelText="{{'staffManager.recruit.criminalRecord' | translate}}"
          [mbMaxLength]="200"
        ></mb-input-text>
      </div>

      <!--SV năm cuối/năm 2-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="studentInfo"
          mbPlaceholderText="{{'staffManager.recruit.studentInfo' | translate}}"
          mbLabelText="{{'staffManager.recruit.studentInfo' | translate}}"
          [mbMaxLength]="200"
        ></mb-input-text>
      </div>
    </div>

    <!--Thông tin đào tạo-->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'staffManager.recruit.degreeInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info">
      <!--Trường đào tạo-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.schoolName' | translate}}"
          [mbDataSelects]='listSchool'
          mbKeyLabel="name"
          mbKeyValue="schoolId"
          mbLabelText="{{'staffManager.recruit.schoolName' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['schoolId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['schoolId'].errors !== null"
          [mbErrors]="form.controls['schoolId'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.schoolName' | translate }}]"
          formControlName='schoolId'></mb-select>
      </div>

      <!--Chuyên ngành-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.facultyName' | translate}}"
          [mbDataSelects]='listFaculty'
          mbKeyLabel="name"
          mbKeyValue="facultyId"
          mbLabelText="{{'staffManager.recruit.facultyName' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['facultyId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['facultyId'].errors !== null"
          [mbErrors]="form.controls['facultyId'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.facultyName' | translate }}]"
          formControlName='facultyId'></mb-select>
      </div>

      <!--Loại bằng cấp-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.degreeTypeName' | translate}}"
          [mbDataSelects]='listDegreeType'
          mbLabelText="{{'staffManager.recruit.degreeTypeName' | translate}} <span class='label__required'>*</span>"
          formControlName='degreeTypeCode'
          [mbType]="isSubmitted && form.controls['degreeTypeCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['degreeTypeCode'].errors !== null"
          [mbErrors]="form.controls['degreeTypeCode'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.degreeTypeName' | translate }}]"
        ></mb-select>
      </div>

      <!--Trình độ-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.majorLevelName' | translate}}"
          [mbDataSelects]='listMajorLevel'
          mbKeyLabel="name"
          mbKeyValue="majorLevelId"
          mbLabelText="{{'staffManager.recruit.majorLevelName' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['majorLevelId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['majorLevelId'].errors !== null"
          [mbErrors]="form.controls['majorLevelId'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.majorLevelName' | translate }}]"
          formControlName='majorLevelId'></mb-select>
      </div>

      <!--Xếp loại-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.eduRankName' | translate}}"
          [mbDataSelects]='listEduRanks'
          mbLabelText="{{'staffManager.recruit.eduRankName' | translate}}"
          formControlName='eduRankCode'></mb-select>
      </div>

      <!--Năm cấp-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          mbMode="year"
          (ngModelChange)="changeIssueYear($event)"
          [mbFormat]="'yyyy'"
          formControlName="issueYear"
          mbLabelText="{{'staffManager.recruit.issueYear' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.issueYear' | translate}}"
          [mbType]="isSubmitted && form.controls['issueYear'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['issueYear'].errors !== null"
          [mbErrors]="form.controls['issueYear'].errors"
          [mbErrorDefs]="[
            { errorName: 'issueYearError', errorDescription: 'staffManager.validate.issueYearError' | translate : {'param': 'staffManager.recruit.issueYear' | translate }},
          ]"
        ></mb-date-picker>
      </div>
    </div>

    <!--Thông tin định danh-->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'staffManager.recruit.identityInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info">
      <!--Loại giấy tờ-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.personalIdTypeName' | translate}}"
          [mbDataSelects]='listPersonalIdType'
          (mbEventEmit)="onPersonalIdTypeChange($event)"
          mbLabelText="{{'staffManager.recruit.personalIdTypeName' | translate}} <span class='label__required'>*</span>"
          formControlName='personalIdTypeCode'
          [mbType]="isSubmitted && form.controls['personalIdTypeCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['personalIdTypeCode'].errors !== null"
          [mbErrors]="form.controls['personalIdTypeCode'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.personalIdTypeName' | translate }}]"
        ></mb-select>
      </div>

      <!--Số định danh-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="personalId"
          [mbMaxLength]="20"
          appNumberInput
          mbPlaceholderText="{{'staffManager.recruit.personalId' | translate}}"
          mbLabelText="{{'staffManager.recruit.personalId' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['personalId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['personalId'].errors !== null"
          [mbErrors]="form.controls['personalId'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.personalId' | translate }}]"
        ></mb-input-text>
      </div>

      <!--Ngày cấp-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          (ngModelChange)="changeDate($event, 'personalIdDate')"
          formControlName="personalIdDate"
          mbLabelText="{{'staffManager.recruit.personalIdDate' | translate}} <span class='label__required'>*</span>"
          mbPlaceholderText="{{'staffManager.recruit.personalIdDate' | translate}}"
          [mbType]="isSubmitted && form.controls['personalIdDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['personalIdDate'].errors !== null"
          [mbErrors]="form.controls['personalIdDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.personalIdDate' | translate }},
            { errorName: 'personalIdDateError', errorDescription: 'staffManager.validate.errorDate' | translate : {'param': 'staffManager.recruit.personalIdDate' | translate }}
          ]"
        ></mb-date-picker>
      </div>

      <!--Nơi cấp-->
      <div nz-col nzXs="12" nzLg="6" *ngIf="form.controls['personalIdTypeCode'].value === constant.PAPERS_CODE.ID_NO || form.controls['personalIdTypeCode'].value === constant.PAPERS_CODE.CITIZEN_ID; else other">
        <mb-select
          mbLabelText="{{'staffManager.recruit.personalIdPlace' | translate}} <span class='label__required'>*</span>"
          formControlName="personalIdPlace"

          [mbDataSelects]="listCitizenPlace"
          mbKeyLabel="label"
          mbKeyValue="value"

          [mbType]="isSubmitted && form.controls['personalIdPlace'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['personalIdPlace'].errors !== null"
          [mbErrors]="form.controls['personalIdPlace'].errors"
          [mbErrorDefs]="[ { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate : {'param': 'staffManager.recruit.personalIdPlace' | translate }} ]"
        ></mb-select>
      </div>
      <ng-template #other>
        <div nz-col nzXs="12" nzLg="6">
          <mb-input-text
            formControlName="personalIdPlace"
            [mbMaxLength]="200"
            mbPlaceholderText="{{'staffManager.recruit.personalIdPlace' | translate}}"
            mbLabelText="{{'staffManager.recruit.personalIdPlace' | translate}} <span class='label__required'>*</span>"
            [mbType]="isSubmitted && form.controls['personalIdPlace'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['personalIdPlace'].errors !== null"
            [mbErrors]="form.controls['personalIdPlace'].errors"
            [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.personalIdPlace' | translate }}]"
          ></mb-input-text>
        </div>
      </ng-template>

    </div>


    <!--Thông tin công việc-->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'staffManager.recruit.workProcessInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info">
      <!--Ngày tuyển dụng-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="joinCompanyDate"
          mbLabelText="{{'staffManager.recruit.joinCompanyDate' | translate}} <span class='label__required'>*</span>"
          mbPlaceholderText="{{'staffManager.recruit.joinCompanyDate' | translate}}"
          [mbType]="isSubmitted && form.controls['joinCompanyDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['joinCompanyDate'].errors !== null"
          [mbErrors]="form.controls['joinCompanyDate'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.joinCompanyDate' | translate }}]"
        ></mb-date-picker>
      </div>

      <!--Đối tượng-->
      <div nz-col nzXs="12" nzLg='6'>
        <mb-select [mbDataSelects]="listEmpType"
                   formControlName="empTypeCode"
                   (ngModelChange)="selectEmpType($event)"
                   mbPlaceholder="{{'staffManager.staffResearch.personalInformation.table.empTypeName' | translate}}"
                   mbLabelText="{{'staffManager.staffResearch.personalInformation.table.empTypeName' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['empTypeCode'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['empTypeCode'].errors !== null"
                   [mbErrors]="form.controls['empTypeCode'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.empTypeName' | translate }}]"
        ></mb-select>
      </div>

      <!--Loại quyết định-->
      <div nz-col nzXs="12" nzLg='6'>
        <mb-select [mbDataSelects]="listDocumentType"
                   formControlName="documentTypeId"
                   mbPlaceholder="{{'staffManager.recruit.documentType' | translate}}"
                   mbLabelText="{{'staffManager.recruit.documentType' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['documentTypeId'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['documentTypeId'].errors !== null"
                   [mbErrors]="form.controls['documentTypeId'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.documentType' | translate }}]"
        ></mb-select>
      </div>

      <!--Số quyết định-->
      <div nz-col nzXs="12" nzLg='6'>
        <mb-input-text
          formControlName="documentNo"
          [mbMaxLength]="20"
          mbPlaceholderText="{{'staffManager.recruit.documentNo' | translate}}"
          [mbType]="isSubmitted && form.controls['documentNo'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['documentNo'].errors !== null"
          [mbErrors]="form.controls['documentNo'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.documentNo' | translate }}]"
          mbLabelText="{{'staffManager.recruit.documentNo' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>

      <!--Ngày ký quyết định-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="signedDate"
          mbLabelText="{{'staffManager.recruit.signerDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.signerDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đơn vị-->
      <div nz-col nzXs='12' nzLg='6'>
        <org-data-picker
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.orgName' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['organization'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['organization'].errors !== null"
          [mbErrors]="form.controls['organization'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.orgName' | translate }}]"
          formControlName='organization'
          [functionCode]="functionCodeOrg"
          [scope]="scope"
        >
        </org-data-picker>
      </div>

      <!--Chức danh-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.staffResearch.personalInformation.table.positionName' | translate}}"
          [mbDataSelects]='listPosition'
          (mbEventSelect)="changePosition($event)"
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.positionName' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['positionId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['positionId'].errors !== null"
          [mbErrors]="form.controls['positionId'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.personalInformation.table.positionName' | translate }}]"
          formControlName='positionId'></mb-select>
      </div>

      <!--Nhóm vị trí -->
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-select
          [mbDataSelects]="listPositionGroup"
          formControlName="positionGroupId"
          mbLabelText="{{'staffManager.workHisInformation.label.attributes.positionGroup' | translate}}"
          mbPlaceholder="{{'staffManager.workHisInformation.label.attributes.positionGroup' | translate}}"
        ></mb-select>
      </div>

      <!--Level-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.level' | translate}}"
          [mbDataSelects]='listLevel'
          mbLabelText="{{'staffManager.recruit.level' | translate}}"
          formControlName='positionLevel'
        ></mb-select>
      </div>

      <!--Loại hợp đồng-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.contractTypeName' | translate}}"
          [mbDataSelects]='listContractType'
          mbKeyLabel="name"
          mbKeyValue="contractTypeId"
          mbLabelText="{{'staffManager.recruit.contractTypeName' | translate}} <span class='label__required'>*</span>"
          formControlName='contractTypeId'
          [mbType]="isSubmitted && form.controls['contractTypeId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['contractTypeId'].errors !== null"
          [mbErrors]="form.controls['contractTypeId'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.contractTypeName' | translate }}]"
        ></mb-select>
      </div>

    </div>

    <!-- Thông tin lương, phụ cấp  -->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label *ngIf="!hideSalaryInfo" class="input__label">{{'staffManager.recruit.salaryAndAllowanceInfo' | translate}}</label>
        <label *ngIf="hideSalaryInfo" class="input__label">{{'staffManager.recruit.amountFeeInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info" *ngIf="hideSalaryInfo">
      <!--Phí dịch vụ-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text
          formControlName='amountFee'
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="10"
          [num]="10"
          [mbType]="isSubmitted && form.controls['amountFee'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['amountFee'].errors !== null"
          [mbErrors]="form.controls['amountFee'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.amountFee' | translate, 'min': 1}},
            { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.amountFee' | translate }}
          ]"
          mbPlaceholderText="{{'staffManager.recruit.amountFee' | translate}}"
          mbLabelText="{{'staffManager.recruit.amountFee' | translate}} <span class='label__required'>*</span>"
        ></mb-input-text>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info" *ngIf="!hideSalaryInfo">
      <!--   Dải LCB   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listSalaryGrade"
                   formControlName="salaryGrade"
                   mbPlaceholder="{{'staffManager.recruit.salaryGrade' | translate}}"
                   mbLabelText="{{'staffManager.recruit.salaryGrade' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['salaryGrade'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['salaryGrade'].errors !== null"
                   [mbErrors]="form.controls['salaryGrade'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.salaryGrade' | translate }}]"

        ></mb-select>
      </div>

      <!--   Bậc LCB   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listSalaryRank"
                   formControlName="salaryRank"
                   mbPlaceholder="{{'staffManager.recruit.salaryRank' | translate}}"
                   mbLabelText="{{'staffManager.recruit.salaryRank' | translate}} <span class='label__required'>*</span>"
                   [mbType]="isSubmitted && form.controls['salaryRank'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['salaryRank'].errors !== null"
                   [mbErrors]="form.controls['salaryRank'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.salaryRank' | translate }}]"

        ></mb-select>
      </div>

      <!--   Mức LCB   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="salaryAmount"
          [num]="15"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          mbPlaceholderText="{{'staffManager.recruit.salaryAmount' | translate}}"
          mbLabelText="{{'staffManager.recruit.salaryAmount' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['salaryAmount'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['salaryAmount'].errors !== null"
          [mbErrors]="form.controls['salaryAmount'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.salaryAmount' | translate }},
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.salaryAmount' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Tỷ lệ hưởng LCB   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="salaryPercent"
          appNumberic
          [num]="3"
          mbSuffixTemplate="%"
          mbPlaceholderText="{{'staffManager.recruit.salaryPercent' | translate}}"
          mbLabelText="{{'staffManager.recruit.salaryPercent' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['salaryPercent'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['salaryPercent'].errors !== null"
          [mbErrors]="form.controls['salaryPercent'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.salaryPercent' | translate }},
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.salaryPercent' | translate, 'min': 1}},
            { errorName: 'max', errorDescription: 'staffManager.validate.max' | translate: {'param': 'staffManager.recruit.salaryPercent' | translate, 'max': 100}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Hệ số THS   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="thsFactor"
          appNumberic
          [num]="3"
          mbPlaceholderText="{{'staffManager.recruit.thsFactor' | translate}}"
          mbLabelText="{{'staffManager.recruit.thsFactor' | translate}}"
          [mbType]="isSubmitted && form.controls['thsFactor'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['thsFactor'].errors !== null"
          [mbErrors]="form.controls['thsFactor'].errors"
          [mbErrorDefs]="[
            { errorName: 'max', errorDescription: 'staffManager.validate.max' | translate: {'param': 'staffManager.recruit.thsFactor' | translate, 'max': 100}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Mức THS   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="thsAmount"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.thsAmount' | translate}}"
          mbLabelText="{{'staffManager.recruit.thsAmount' | translate}}"
          [mbType]="isSubmitted && form.controls['thsAmount'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['thsAmount'].errors !== null"
          [mbErrors]="form.controls['thsAmount'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.thsAmount' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Tỷ lệ THS   -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="thsPercent"
          appNumberic
          [num]="3"
          mbSuffixTemplate="%"
          mbPlaceholderText="{{'staffManager.recruit.thsPercent' | translate}}"
          mbLabelText="{{'staffManager.recruit.thsPercent' | translate}}"
          [mbType]="isSubmitted && form.controls['thsPercent'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['thsPercent'].errors !== null"
          [mbErrors]="form.controls['thsPercent'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.thsPercent' | translate, 'min': 1}},
            { errorName: 'max', errorDescription: 'staffManager.validate.max' | translate: {'param': 'staffManager.recruit.thsPercent' | translate, 'max': 100}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Phụ cấp đãi ngộ  -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="treatmentAllowance"
          mbPlaceholderText="{{'staffManager.recruit.treatmentAllowance' | translate}}"
          mbLabelText="{{'staffManager.recruit.treatmentAllowance' | translate}}"
          [mbMaxLength]="200"
        ></mb-input-text>
      </div>

      <!--   Thưởng thành tích tháng  -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="monthlyBonus"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.monthlyBonus' | translate}}"
          mbLabelText="{{'staffManager.recruit.monthlyBonus' | translate}}"
          [mbType]="isSubmitted && form.controls['monthlyBonus'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['monthlyBonus'].errors !== null"
          [mbErrors]="form.controls['monthlyBonus'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.monthlyBonus' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Thu nhập tháng -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="salaryMonth"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.salaryMonth' | translate}}"
          mbLabelText="{{'staffManager.recruit.salaryMonth' | translate}}"
          [mbType]="isSubmitted && form.controls['salaryMonth'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['salaryMonth'].errors !== null"
          [mbErrors]="form.controls['salaryMonth'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.salaryMonth' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--   Thu nhập tháng sau khi xếp loại-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="salaryMonthByRate"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.salaryMonthByRate' | translate}}"
          mbLabelText="{{'staffManager.recruit.salaryMonthByRate' | translate}}"
          [mbType]="isSubmitted && form.controls['salaryMonthByRate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['salaryMonthByRate'].errors !== null"
          [mbErrors]="form.controls['salaryMonthByRate'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.salaryMonthByRate' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--Cơ sở đề xuất-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="baseProposal"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.recruit.baseProposal' | translate}}"
          mbLabelText="{{'staffManager.recruit.baseProposal' | translate}}"
        ></mb-input-text>
      </div>

      <!--Hệ số thời hạn-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="durationFactor"
          appNumberic
          [num]="3"
          [decimals]="2"
          mbPlaceholderText="{{'staffManager.recruit.durationFactor' | translate}}"
          mbLabelText="{{'staffManager.recruit.durationFactor' | translate}}"
          [mbType]="isSubmitted && form.controls['durationFactor'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['durationFactor'].errors !== null"
          [mbErrors]="form.controls['durationFactor'].errors"
          [mbErrorDefs]="[
            { errorName: 'max', errorDescription: 'staffManager.validate.max' | translate: {'param': 'staffManager.recruit.durationFactor' | translate, 'max': 100}},
          ]"
        ></mb-input-text>
      </div>

      <!--Đánh giá/Xếp loại-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="rate"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.recruit.rate' | translate}}"
          mbLabelText="{{'staffManager.recruit.rate' | translate}}"
        ></mb-input-text>
      </div>

      <!--Tiêu chuẩn công việc-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="natureOfWork"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.recruit.natureOfWork' | translate}}"
          mbLabelText="{{'staffManager.recruit.natureOfWork' | translate}}"
        ></mb-input-text>
      </div>

      <!--Ngảy hưởng thành tích tháng-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="monthlyBonusDate"
          mbLabelText="{{'staffManager.recruit.monthlyBonusDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.monthlyBonusDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Cam kết thu nhập tháng-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="commitmentAmount"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.commitmentAmount' | translate}}"
          mbLabelText="{{'staffManager.recruit.commitmentAmount' | translate}}"
          [mbType]="isSubmitted && form.controls['commitmentAmount'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['commitmentAmount'].errors !== null"
          [mbErrors]="form.controls['commitmentAmount'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.commitmentAmount' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--ngày hưởng thu nhập cam kết-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="commitmentFromDate"
          (ngModelChange)="changeAllowanceDate('commitmentFromDate')"
          mbLabelText="{{'staffManager.recruit.commitmentFromDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.commitmentFromDate' | translate}}"
          [mbType]="isSubmitted && form.controls['commitmentFromDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['commitmentFromDate'].errors !== null"
          [mbErrors]="form.controls['commitmentFromDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'commitmentFromDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
            {'fromDate': 'staffManager.recruit.commitmentFromDate' | translate, 'toDate': 'staffManager.recruit.commitmentToDate' | translate}}
          ]"
        ></mb-date-picker>
      </div>

      <!--Ngày kết thúc hưởng thu nhập cam kết-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="commitmentToDate"
          (ngModelChange)="changeAllowanceDate('commitmentFromDate')"
          mbLabelText="{{'staffManager.recruit.commitmentToDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.commitmentToDate' | translate}}"
        ></mb-date-picker>
      </div>


      <!--Phụ cấp thu hút-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="allowanceAmount"
          appNumberic
          mbSuffixTemplate="VNĐ"
          [decimals]='0'
          [mbMaxLength]="15"
          [num]="15"
          mbPlaceholderText="{{'staffManager.recruit.allowanceAmount' | translate}}"
          mbLabelText="{{'staffManager.recruit.allowanceAmount' | translate}}"
          [mbType]="isSubmitted && form.controls['allowanceAmount'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['allowanceAmount'].errors !== null"
          [mbErrors]="form.controls['allowanceAmount'].errors"
          [mbErrorDefs]="[
            { errorName: 'min', errorDescription: 'staffManager.validate.min' | translate: {'param': 'staffManager.recruit.allowanceAmount' | translate, 'min': 1}},
          ]"
        ></mb-input-text>
      </div>

      <!--Ngày hưởng PC thu hút-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="allowanceFromDate"
          (ngModelChange)="changeAllowanceDate('allowanceFromDate')"
          mbLabelText="{{'staffManager.recruit.allowanceFromDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.allowanceFromDate' | translate}}"
          [mbType]="(isSubmitted && form.controls['allowanceFromDate'].errors) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['allowanceFromDate'].errors !== null"
          [mbErrors]="form.controls['allowanceFromDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'allowanceFromDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
            {'fromDate': 'staffManager.recruit.allowanceFromDate' | translate, 'toDate': 'staffManager.recruit.allowanceToDate' | translate}}
          ]"
        ></mb-date-picker>
      </div>

      <!--Ngày kết thúc hưởng PC thu hút-->
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="allowanceToDate"
          (ngModelChange)="changeAllowanceDate('allowanceFromDate')"
          mbLabelText="{{'staffManager.recruit.allowanceToDate' | translate}}"
          mbPlaceholderText="{{'staffManager.recruit.allowanceToDate' | translate}}"
        ></mb-date-picker>
      </div>
    </div>


    <!--Quá trình công tác trước MB-->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'staffManager.recruit.workProcessBeforeInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,0]" class="content__info">
      <ng-container *ngFor="let groupOrg of groupOrg.controls; index as i">
        <!--Đơn vị-->
        <div nz-col nzXs="6" nzLg="6" formArrayName="groupOrg">
          <mb-input-text
            mbPlaceholderText="{{'staffManager.label.orgName' | translate}}"
            mbLabelText="{{'staffManager.label.orgName' | translate}}"
            [mbMaxLength]="200"
            [formControlName]="i"></mb-input-text>
        </div>

        <!--Chức danh-->
        <div nz-col nzXs="5" nzLg="5" formArrayName="groupPosition">
          <mb-input-text
            mbPlaceholderText="{{'staffManager.label.positionName' | translate}}"
            mbLabelText="{{'staffManager.label.positionName' | translate}}"
            [mbMaxLength]="200"
            [formControlName]="i"></mb-input-text>
        </div>

        <!--Từ ngày-->
        <div nz-col nzXs="5" nzLg="5" formArrayName="groupFromDate">
          <mb-date-picker
            [formControlName]="i"
            mbMode="month"
            mbFormat="MM/yyyy"
            (ngModelChange)="selectWODate(i)"
            [mbType]="isSubmitted && groupFromDate.controls[i].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && groupFromDate.controls[i].errors !== null"
            [mbErrors]="groupFromDate.controls[i].errors"
            [mbErrorDefs]="[
                 { errorName: 'woDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
            {'fromDate': 'staffManager.recruit.fromMonth' | translate, 'toDate': 'staffManager.recruit.toMonth' | translate}}
            ]"
            mbLabelText="{{'staffManager.recruit.fromMonth' | translate}}"
            mbPlaceholderText="{{'staffManager.recruit.fromMonth' | translate}}"
          ></mb-date-picker>
        </div>

        <!--Đến ngày-->
        <div nz-col nzXs="5" nzLg="5" formArrayName="groupToDate">
          <mb-date-picker
            [formControlName]="i"
            (ngModelChange)="selectWODate(i)"
            mbMode="month"
            mbFormat="MM/yyyy"
            mbLabelText="{{'staffManager.recruit.toMonth' | translate}}"
            mbPlaceholderText="{{'staffManager.recruit.toMonth' | translate}}"
          ></mb-date-picker>
        </div>

        <div nz-col nzXs="2" nzLg="2" style="margin:28px 0 20px -34px">
          <mb-button *ngIf="i === 0" [mbIsDisable]="isDetail" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-plus-circle" mbButtonSize="LARGE"
                     mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="addWorkOutside()"
                     mbButtonBgColor="#141ED2"></mb-button>
          <mb-button *ngIf="i > 0" [mbIsDisable]="isDetail" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-trash-alt" mbButtonSize="LARGE"
                     mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="removeWorkOutside(i)"
                     mbButtonBgColor="#FA0B0B"></mb-button>
        </div>
      </ng-container>
    </div>


    <!-- Hộ khẩu thường trú   -->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'staffManager.recruit.permanentInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info">
      <!--Tỉnh-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.provinceName' | translate}}"
          [mbDataSelects]='listProvince'
          (ngModelChange)="changeProvince($event, 'HK')"
          [mbLabelText]="getLabelAddress('staffManager.recruit.provinceName', isRequiredAddress)"
          [mbType]="isSubmitted && form.controls['pernamentProvinceCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['pernamentProvinceCode'].errors !== null"
          [mbErrors]="form.controls['pernamentProvinceCode'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.provinceName' | translate }}]"
          formControlName='pernamentProvinceCode'></mb-select>
      </div>

      <!--Huyện-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.districtName' | translate}}"
          [mbDataSelects]='listPernamentDistrict'
          (ngModelChange)="changeDistrict($event, 'HK')"
          [mbLabelText]="getLabelAddress('staffManager.recruit.districtName', isRequiredAddress)"
          [mbType]="isSubmitted && form.controls['pernamentDistrictCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['pernamentDistrictCode'].errors !== null"
          [mbErrors]="form.controls['pernamentDistrictCode'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.districtName' | translate }}]"
          formControlName='pernamentDistrictCode'></mb-select>
      </div>

      <!--XÃ-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.wardName' | translate}}"
          [mbDataSelects]='listPernamentWard'
          [mbLabelText]="getLabelAddress('staffManager.recruit.wardName', isRequiredAddress)"
          [mbType]="isSubmitted && form.controls['pernamentWardCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['pernamentWardCode'].errors !== null"
          [mbErrors]="form.controls['pernamentWardCode'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.wardName' | translate }}]"
          formControlName='pernamentWardCode'></mb-select>
      </div>

      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="pernamentDetail"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.recruit.detail' | translate}}"
          mbLabelText="{{'staffManager.recruit.detail' | translate}}"
          [mbType]="isSubmitted && form.controls['pernamentDetail'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['pernamentDetail'].errors !== null"
          [mbErrors]="form.controls['pernamentDetail'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.detail' | translate }}]"

        ></mb-input-text>
      </div>

    </div>

    <!-- Chỗ ở hiện tại  -->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'staffManager.recruit.currentInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]="[30,30]" class="content__info">
      <!--Tỉnh-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.provinceName' | translate}}"
          [mbDataSelects]='listProvince'
          (ngModelChange)="changeProvince($event, 'HT')"
          [mbLabelText]="getLabelAddress('staffManager.recruit.provinceName', isRequiredAddress)"
          [mbType]="isSubmitted && form.controls['currentProvinceCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['currentProvinceCode'].errors !== null"
          [mbErrors]="form.controls['currentProvinceCode'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.provinceName' | translate }}]"

          formControlName='currentProvinceCode'></mb-select>
      </div>

      <!--Huyện-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.districtName' | translate}}"
          [mbDataSelects]='listcurrentDistrict'
          (ngModelChange)="changeDistrict($event, 'HT')"
          [mbLabelText]="getLabelAddress('staffManager.recruit.districtName', isRequiredAddress)"
          [mbType]="isSubmitted && form.controls['currentDistrictCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['currentDistrictCode'].errors !== null"
          [mbErrors]="form.controls['currentDistrictCode'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.districtName' | translate }}]"

          formControlName='currentDistrictCode'></mb-select>
      </div>

      <!--Tỉnh-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select
          mbPlaceholder="{{'staffManager.recruit.wardName' | translate}}"
          [mbDataSelects]='listcurrentWard'
          [mbLabelText]="getLabelAddress('staffManager.recruit.wardName', isRequiredAddress)"
          [mbType]="isSubmitted && form.controls['currentWardCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['currentWardCode'].errors !== null"
          [mbErrors]="form.controls['currentWardCode'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.wardName' | translate }}]"
          formControlName='currentWardCode'></mb-select>
      </div>

      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="currentDetail"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'staffManager.recruit.detail' | translate}}"
          mbLabelText="{{'staffManager.recruit.detail' | translate}}"
          [mbType]="isSubmitted && form.controls['currentDetail'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['currentDetail'].errors !== null"
          [mbErrors]="form.controls['currentDetail'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.recruit.detail' | translate }}]"

        ></mb-input-text>
      </div>
    </div>

    <!--Thông tin nhân viên trùng-->
    <ng-container *ngIf="isDetail && statusApproval?.toString() === constant.APPROVAL_STATUS[1].value">
      <div nz-row [nzGutter]='[30,0]'>
        <div nz-col nzXs="24" nzLg="24" class="input__group">
          <label class="input__label">{{'staffManager.recruit.duplicateInfo' | translate}}</label>
          <nz-divider class="hrTag"></nz-divider>
        </div>
      </div>
      <div nz-row [nzGutter]="[30,30]" class="content__info">
        <div  nz-col nzXs="8" nzLg="4">
          <mb-text-label mbLabelText="{{'staffManager.recruit.empCodeDuplicate' | translate}}" [mbLabelValue]="form.controls['duplicateEmployeeCode']?.value"></mb-text-label>
        </div>
        <div  nz-col nzXs="8" nzLg="4">
          <mb-text-label mbLabelText="{{'staffManager.recruit.empNameDuplicate' | translate}}" [mbLabelValue]="form.controls['duplicateFullName']?.value"></mb-text-label>
        </div>
        <div  nz-col nzXs="8" nzLg="4">
          <mb-text-label mbLabelText="{{'staffManager.staffResearch.personalInformation.table.dateOfBirth' | translate}}" [mbLabelValue]="form.controls['duplicateDateOfBirth']?.value"></mb-text-label>
        </div>
        <div  nz-col nzXs="8" nzLg="8">
          <mb-text-label mbLabelText="{{'staffManager.staffResearch.personalInformation.table.orgName' | translate}}" [mbLabelValue]="form.controls['duplicateOrgName']?.value"></mb-text-label>
        </div>
        <div  nz-col nzXs="8" nzLg="4">
          <mb-text-label mbLabelText="{{'staffManager.recruit.statusDuplicate' | translate}}" [mbLabelValue]="form.controls['duplicateTypeName']?.value"></mb-text-label>
        </div>
      </div>
    </ng-container>

    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs='24' nzLg='24' class="datepicker__group">
        <label class="input__label">{{'staffManager.recruit.attachFile' | translate}}</label>
        <span class='label__required'> *</span>
        <mb-upload
          (fileListChange)="onFileListChange($event)"
          [fileList]="fileList"
          [mbTypeFileAvailable]="['jpg', 'png', 'pdf', 'doc', 'docx', 'xls', 'xlsx', 'tif', 'gif']"
          [mbMultiple]="true"
          [mbMaxSize]="15"
          [mbConfig]="configUploadFile "
          [mbDisable]="isDetail"
          (docIdsDeleteChange)='removeFile($event)'
        ></mb-upload>

      </div>
    </div>

    <app-reject-common
      [isReject]="isReject"
      [id]="candidateId"
      [urlRejectById]="urlReject"
      (onCloseModal)="doCloseReject($event)"
    >
    </app-reject-common>
  </form>


  <hcm-mfe-confirm-recruitment
    [showContent]="showConfirmRecruit"
    (closeModal)="closeCancel()"
    [listConfirmRecruit]="listConfirmRecruit"
  >
  </hcm-mfe-confirm-recruitment>
</div>
